import * as React from "react";
import { SwfTextEditorApi } from "./SwfTextEditorController";
import { ChannelType } from "@kie-tools-core/editor/dist/api";
import { editor } from "monaco-editor";
interface Props {
    content: string;
    fileName: string;
    onContentChange: (content: string) => void;
    channelType: ChannelType;
    setValidationErrors: (errors: editor.IMarker[]) => void;
    isReadOnly: boolean;
}
export declare const SwfTextEditor: React.ForwardRefExoticComponent<Props & React.RefAttributes<SwfTextEditorApi | undefined>>;
export {};
//# sourceMappingURL=SwfTextEditor.d.ts.map